Bitcoin Forum
April 20, 2018, 01:00:41 PM *
News: Latest stable version of Bitcoin Core: 0.16.0  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: Restrict certain commands by ipadress  (Read 554 times)
flibbr
Sr. Member
****
Offline Offline

Activity: 263
Merit: 250


Bitcoins ftw !


View Profile WWW
October 12, 2013, 09:52:10 PM
 #1

Hello Bitcoiners,

Just wondering if anyone knows if I can restrict certain api calls to a specific ip address..

IE: 192.1.1.1 can only access getinfo.

Thanks,
Tom

I love bitcoins - everything about them.
Visit the Flibbr website - follow on twitter: @flibbr - or say hello on Facebook
1524229241
Hero Member
*
Offline Offline

Posts: 1524229241

View Profile Personal Message (Offline)

Ignore
1524229241
Reply with quote  #2

1524229241
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1524229241
Hero Member
*
Offline Offline

Posts: 1524229241

View Profile Personal Message (Offline)

Ignore
1524229241
Reply with quote  #2

1524229241
Report to moderator
1524229241
Hero Member
*
Offline Offline

Posts: 1524229241

View Profile Personal Message (Offline)

Ignore
1524229241
Reply with quote  #2

1524229241
Report to moderator
1524229241
Hero Member
*
Offline Offline

Posts: 1524229241

View Profile Personal Message (Offline)

Ignore
1524229241
Reply with quote  #2

1524229241
Report to moderator
Engine-IT
Full Member
***
Offline Offline

Activity: 126
Merit: 100


View Profile WWW
October 30, 2013, 07:11:21 PM
 #2

With standard bitcoin json API you may limit access for all calls.
If you need to limit some calls only you need a simple adapter hosted on that server which will do that work.

www.engine-it.com - Development of Blockchain/Ethereum-related Projects
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!